1. Hugh is now back at work, more or less full time, after a slower than expected recovery from his neck surgery early this month. Obviously we have a backlog of support to clear, and are working as hard as we can to take care of it. If you have an unanswered thread more than 3 days old, please post one (and only one) "bump" on it, to move it in to our "last 3 days" list. If you have an unanswered issue in a forum you no longer have access to due to subscriptions timing out, please use the Contact Us form, and provide us with the URL to the thread.

2.0rc1 Installation

Discussion in 'Community' started by Ajyamal, Feb 27, 2009.

?

What is the Fabrik revision in which you succeed ?

2.0rc1_24-Feb-2009 0 vote(s) 0.0%
2.0rc1_26-Feb-2009 0 vote(s) 0.0%
2.0rc1_27-Feb-2009 0 vote(s) 0.0%
2.0rc1_28-Feb-2009 0 vote(s) 0.0%
2.0rc1_05-Mar-2009 1 vote(s) 50.0%
2.0rc1_06-Mar-2009 1 vote(s) 50.0%
Multiple votes are allowed.
  1. Ajyamal New Member

    Level: Community
    I tried to install Fabrik, however can not install it or have an issue.
    I have some Question.Would anybody like to answer and advice?

    Q1. To my desktop (J1.5.9 PHP5.2.6 MYSQL5.0.67 Apache WindowsXP SP3)

    2.0rc1 Installation is compleated, however Database is not reflected though I replaced from previous Fabirk(SVN before 2/21) with RC2.0. I used J uninstaller and installer.Why? Should I rebuild all of table?

    Q2. To rental host (J1.5.9 PHP5.2.8 MYSQL Apache linux-"VPS" )

    Joomla1.5.9 can not accept to install the Fabrik2.0.x. joomla-error message is ’Please enter a package directory’
    #PHP configulation(rental host) is Attached on here .And a htaccess that I composed is described in the end of sentence.

    Regards

    Attached Files:

  2. grey666 Member

    Level: Community
    I also just tried to install RC1.

    I get the following error installing the main .zip package:
    -1 - An error has occurred.
    It was not possible to copy the selected file.

    This zip file is fine... I can open it just fine. I can install other plugins in Joomla... I'm on 1.5.9, Linux box. I have many Joomla sites on my server.


    While trying to install the plugins:

    Search plugin:
    JInstaller::install: There is already a folder called '/sites/mysite/plugins/search/fabrik.php'. Please initially check whether:

    Schedule plugin:
    JInstaller::install: There is already a folder called '/sites/mysite/plugins/system/fabrikcron.php'. Please initially check whether:

    Fabrik plugin 2.0rc1:
    Installs - but doesnt show up in plugins, 2.0b is still there.

    CB Plugin:
    Error! Could not find a Joomla! XML setup file in the package.

    I also tried un-zipping the files, and re-zipping without the directory and get the same error.


    Tried installing all the plugins within Fabrik, get the same messages.
  3. grey666 Member

    Level: Community
    There were some new files in the last few SVN's that are owned by root because I upload all SVN's as root...

    This was the problem with the com_fabrik install....

    A chown -R apache did the trick...
  4. rob Administrator

    Level: Community
    @ajyamal

    'Please enter a package directory' - installing from a directory might not, use the upload installer

    Not sure what you mean here. You shouldn't have to unistall and reinstall fabrik to upgrade. Just upload the zip and it will update the files of a previous fabrik 2.0.x version.

    @gray666

    for the module/plguin installers I don't believe they are set up to allow the 'upgrade' option, ie you have to unistall before installing

    CBPlugin- where did you try installing it - it should be installed in CB's plugin installer.
  5. Ajyamal New Member

    Level: Community
    thanks, rob.
    I wanted to say to be not able to connect past database which is made with previous Fabrik.
    And also indeed sorry about not good sentences. I sometimes use a Translator.

    Then it is clear about :
    Q1. ->Just upload the zip(Overwrite) -> Do Not uninstall and reinstall ->If I do it, I need to rebuild all of tables ,elements,groups.

    But Q2 is not .....

    grey666,
    Thank you for following up it.
    I tried the Fabrik plugins ,too. I also saw a similar phenomenon to your seeing though details were not certain. About this ,I think it will expect it at the next term.
  6. Ajyamal New Member

    Level: Community
    oops about Q2, Where is wrong ? PHP.ini or anything else like a file permmision?
    It is good when there is a system resource requirement necessary for the fabric.
  7. cheesegrits Support Gopher

    Level: Community
    Which version of the RC1 are you using? The one from the downloads, or one of the nightly builds (from http://fabrikar.com/nightlies)? I know we had some issues with a couple of the nightly builds no installing properly, but we've seen no issues with the one from the downloads area.

    The only real requirement for running Fabrik is at least 32MB of memory for PHP's max_memory. We have also occasionally seen issues on install, especially if the upload is slow, where PHP either runs out of upload time during initial upload, or execution time when unzipping (although we made some changes in the RC1 installer to work round unzip time). In those cases, you typically have to unzip the installer, copy it up to a folder in your J! tmp directory, and use the "install from folder" method.

    -- hugh
  8. Ajyamal New Member

    Level: Community
    I got the com_fabrik_2.0rc1_24-02-2009 from http://fabrikar.com/nightlies.
    A minute ago, I had some test with com_fabrik_2.0rc1_27-02-2009.

    T1. To my desktop update (winXP)
    - using form Directly -> is error
    - using update installer -> is compleated

    T2.To rental host - 'byethost.com' that is free (linux)
    - both -> is error

    #It is certain that the use of htaccess is admitted though I do not have the way that knows all things that byethost.com has permitted.
    At that time ,I changed htaccess to:
    -------------------------------------------
    php_value max_execution_time 60
    php_value max_input_time 60
    php_value post_max_size 4M
    php_value upload_max_filesize 3M
    php_value memory_limit 64M
    php_value upload_max_filesize 2500K
    php_value socket_timeout 60
    --------------------------------------------

    I had done to upload via byepass(ftp) and used "install from folder",too. because I had seen some issue of allow_url_fopen in this forum. And also I saw on somewhere that allow_url_fopen should be OFF is default in PHP for security. And also , I guessed that what you said that an excution time,too . So I decide to setup a htaccess that is already attached.

    Rob have said that 'installing from a directory might not, ***use the upload installer***' on the above-mentioned.
    So I guess that the Fabric has not a function or an instractioin is not for 'from Directory' in linux. grey666 also says 'A chown -R apache did the trick...' like that.
    Maybe, I am . ..whether it is necessary to wait.. ..the encounter...

    Thanks
    ----------------------------------------------------------------------------
    - J!1.5.9-Multilingal , XAMPP 1.7 , Fabrik2.0RC1-24 , Firefox/3.0.5 , WindowsXP SP3
    - J!1.5.9-Multilingal , PHP5.2.8 , MYSQL , Apache , linux-"VPS" , Firefox/3.0.5
  9. cheesegrits Support Gopher

    Level: Community
    I'll have to point Rob at this one on Monday. I haven't even looked at the new installer code yet, and am unlikely to be able to pinpoint errors in it.

    I've tried the RC1 installer several times on both Win XP (XAMPP) and Centos (Apache), with no problems. So I suspect it's some kind of issue specific to your setup, maybe permissions or PHP setting related.

    -- hugh
  10. Ajyamal New Member

    Level: Community
    Thanks for responding cheesegrits,
    I think ,it is not able to deny a setting of permissons and a PHP files is cause. Because rental host is limited by somothing.

    * About Install from Directory tests

    To XAMPP
    -PHP.files was default behaviour of XAMPP.
    -Permission - the windowsXP have not it.

    I might setup ftp in joomla. I didn't setup the ftp perameter in joomla. but I don' t have ftp service on my desktop.

    To Linux
    -PHP.files was customized by service provider.
    -Permission was the 777-full access (using chown -R to all files) and maybe user's right.when I set the perametar of ftp on joomla ,Joomla is not able to know FTP server.

    *conclusion - my opinion
    I saw and know that it fails for someone to install the joomla Extensions .
    http://forum.joomla.org/viewtopic.php?f=470&t=296336&p=1311878
    So, I shouldn't have put this issue on Fabrik forum.
    I force to my head to following to.
    At 24/2/2009, 'joomla , rental host and seveal Fabrik issues' might have been a cause.
    At 27/2/2009, 'joomla , rental host and A Fabrik issues' might have been a cause.
    At 1/3/2009 , 'Joomla or rental host' have a cause.
    # I m not sure what is truth.... I m not engineer.

    So, I think that this thread should be closed.
    And it will expect it of my Fabrik in the future. I'v already addicted to Fabrik.

    P.S
    If you sucess to install that, I think you might open detail of system enviroment to the public.
    If it is nothing and the problem happens, is our reports going to be a Devil's proof ?

    Thanks
  11. Ajyamal New Member

    Level: Community
    hi,
    ps And also I tested ' Install from Directory '

    1. Renew the XAMPP for windows to 1.7.0
    2. Setup the Filezilla - Whether it was possible to access ftp service with FTP software was confirmed.
    3. install the Joomla 1.5.9
    4. Setup the FTP conection in the Joomla 's setting ftp
    5. Upload the Fabrik.zip to /htdoc/joomla159/tmp via FTP software
    6. I try to install
    - com_fabrik_2.0rc1_28-02-2009 -> Joomla-Warning :' Please enter a package directory '
    - another compornent that is com_joomlapack-2.1.b2 -> Joolma-Warning : ' Please enter a package directory '

    After all, It might have been not good somewhere of Joomla or PHP.

    For the reference
    ------------------------------------------------------------------------------
    J!1.5.9-Multilingal , XAMPP 1.7 , Fabrik2.0RC1-27 , Firefox/3.0.5 , WindowsXP SP3
  12. cheesegrits Support Gopher

    Level: Community
    I believe we have a known issue with the 'install from folder' method in 2.0rc1, I'll make sure there's a ticket open on it.

    -- hugh
  13. Ajyamal New Member

    Level: Community
    cheesegrets,
    All right , I am wating ,and it may not be hurry for me.
    I've already set Fabrik to my PC by using 'Upload Package File'.

    Then , about this,
    I thoght if it was useful for you , figured out way of gettting the log of PHP.
    Not sure that following things is collect .... I probably get the log.
    # This writes as note for me.

    1. opened the php.ini file - C:\xampp\apache\php.ini
    2. delete the semicolon from the following parts of head

    display_errors = On
    error_log = "C:\xampp\apache\logs\phperror.log"
    log_errors = On
    error_reporting = E_ALL & ~E_NOTICE

    hugh
  14. cheesegrits Support Gopher

    Level: Community
    We'll get round to fixing this as soon as possible. The ticket info at the top of this thread will tell you when it gets resolved.

    -- hugh
  15. Ajyamal New Member

    Level: Community
    28-Feb Reinstall Trail : issue

    Hi,

    And also ,I attempted the 2.0RC1-28. It succeeded.
    When I clicked on the tab of table, got a error that is attached(by using Xdebug).
    I was about to use Fab.... (T.T) It is OK. I just get back to 27 now.
    ---------------------------------------------------------------------------
    J!1.5.9-Multilingal , XAMPP 1.7 , Fabrik2.0RC1-27 , Firefox/3.0.5 , WindowsXP SP3

    Attached Files:

  16. toddski07 New Member

    Level: Community
    Yep...I posted the same error message in another thread the other day. I was able to use the 27th zip and then put the 28th on top of it and it seemed to work. I'm hoping a new nightly is generated soon to capture all the svn updates.

    See: http://fabrikar.com/forums/showthread.php?t=9702

    Todd
  17. Ajyamal New Member

    Level: Community
    yeah , I've seen yours !

    Perhaps it is a little bit different,isn't it ? I will have considered that the difference might have been useful for engineer. That is the reason of posting. :)

    Then my skill that I write a somthing in English is maybe under 6age. I always hold the English Dictionary that use instead of weight liftting to my arm. But I didn't click the keyword any more. I also wanted to say like you, no big deal,thanks for looking into it, Keep up the good work.

    Fabrik is BEST for me . So I wanted to support somthing that I was able to do.

    Now I have a practice for Advanced debug.The tool is called DEBUG gives happiness for everyone. We can easily know that what is wrong with program as pinpoint. I read Xdebug site - http://xdebug.org/docs/#superglobal ,the Xdebug has a huge option. This is also whatever, I couldn't chose the better option in it.  :)
  18. Ajyamal New Member

    Level: Community
    06-Mar Reinstall Trail : Issue

    HI,

    I would like to report about installing the NIGHTLIE - com_fabrik_2.0rc1_06-03-2009 ( I did download from here. http://fabrikar.com/nightlies/ ) And I had taken a way to overwrite on com_fabrik_2.0rc1_05xxxx. When the installing is done with 'Upload Package File', it has occured an error. Wheither I' not sure that I can't get back to 2.0.rc1-05 with overwritting on the 2.0rc1-06. when I treid to do that, same error message happened as well as.
    And then, when I modified an elment's name(not label) , this renaming function became a disable.

    An error message is bellow.

    <error message on browser>

    it is attached

    < access logs> This is around the happning time. Nothing is php error and apache error.
    TheTime is not France.
    [08/Mar/2009:17:20:52] "GET /159/administrator/index.php?option=com_fabrik&c=plugin HTTP/1.1" 200 26820
    [08/Mar/2009:17:20:55] "GET /159/administrator/templates/khepri/images/header/icon-48-plugin.png HTTP/1.1" 200 2142
    [08/Mar/2009:17:21:42] "GET /159/administrator/index.php?option=com_installer HTTP/1.1" 200 15227
    [08/Mar/2009:17:21:45] "GET /159/administrator/templates/khepri/images/toolbar/icon-32-help.png HTTP/1.1" 200 1400
    [08/Mar/2009:17:21:45] "GET /159/administrator/templates/khepri/images/header/icon-48-extension.png HTTP/1.1" 200 2294
    [08/Mar/2009:17:23:19] "POST /159/administrator/index.php HTTP/1.1" - 600
    [08/Mar/2009:17:23:23 "GET /159/administrator/templates/system/css/error.css HTTP/1.1" 200 1058
    [08/Mar/2009:17:23:23] "GET /favicon.ico HTTP/1.1" 200 30894
    [08/Mar/2009:17:23:27] "GET /159/administrator/index.php?option=com_installer HTTP/1.1" 200 15227
    [08/Mar/2009:17:24:09] "POST /159/administrator/index.php HTTP/1.1" - 600
    ------------------------------------------------------------------------------------
    J!1.5.9-Multilingal , XAMPP 1.7 , Fabrik2.0RC1-05 to 06 , Firefox/3.0.5 , WindowsXP SP3

    Attached Files:

  19. cheesegrits Support Gopher

    Level: Community
    I'll make sure Rob sees this when he returns tomorrow.

    Meanwhile, my only suggestion is to try updating from SVN. Assuming your permissions are set up correctly, you should just be able to ftp the files up to your server, overwriting the existing ones.

    -- hugh
  20. rob Administrator

    Level: Community
    hmm tested with latest nightly and don't see the reported errors.
    The error "It was not possible to copy the selected file" suggests something to do with folder permissions, don't suppose you see this message when installing other compoents?

Share This Page